Bug 975130 (CVE-2013-2458) - CVE-2013-2458 OpenJDK: Method handles (Libraries, 8009424)
Summary: CVE-2013-2458 OpenJDK: Method handles (Libraries, 8009424)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2458
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 973111
TreeView+ depends on / blocked
 
Reported: 2013-06-17 16:43 UTC by Stefan Cornelius
Modified: 2019-09-29 13:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-17 16:13:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0957 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-06-20 04:03:33 UTC
Red Hat Product Errata RHSA-2013:0958 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-06-20 04:03:25 UTC
Red Hat Product Errata RHSA-2013:0963 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:09:17 UTC
Red Hat Product Errata RHSA-2013:1060 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-13 16:13:46 UTC

Description Stefan Cornelius 2013-06-17 16:43:51 UTC
It was discovered that an error related to method handles exists in the Libraries component. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.

Comment 1 Jan Lieskovsky 2013-06-19 14:15:28 UTC
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html

Comment 2 errata-xmlrpc 2013-06-20 00:06:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html

Comment 3 errata-xmlrpc 2013-06-20 00:10:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html

Comment 4 Stefan Cornelius 2013-06-20 12:06:28 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/9efb5fb77027

Comment 5 errata-xmlrpc 2013-06-20 14:54:00 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html

Comment 7 errata-xmlrpc 2013-07-15 20:44:19 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html


Note You need to log in before you can comment on or make changes to this bug.